using System;

internal sealed class Delegate736 : MulticastDelegate
{
	public extern DateTime Invoke(object object_0);

	public static DateTime smethod_0(object object_0, Delegate736 delegate736_1)
	{
		return delegate736_1(object_0);
	}

	public extern Delegate736(object object_0, IntPtr intptr_0);

	static Delegate736()
	{
		Class10.smethod_13(typeof(Delegate736).TypeHandle);
	}

	internal static Delegate736 delegate736_0;
}
